import com.objectdb.Utilities;

import javax.persistence.*;

public class Main {
    public static void main(String[] args) {
        System.setProperty("objectdb.conf", "src/main/resources/objectdb.xml");
        EntityManager em = Utilities.getEntityManager("objectdb:db/points.odb");

        long start = System.nanoTime();

        TypedQuery<Point> query =
                em.createQuery("SELECT p FROM Point p WHERE p.x=0", Point.class);

        System.out.println(query.getResultList().size());

        System.out.println((System.nanoTime() - start) / 1000_000);

        em.close();
    }
}
